Page MenuHomePhabricator

Inaccessible page title beginning with "Gadget:"
Closed, ResolvedPublic

Description

According to Special:PrefixIndex, there is a page on enwiki called "Gadget: Invention, Travel, & Adventure". Since rEGADe6b8b57d9b0df628, this page is inaccessible and needs to be fixed. Also, other wikis should be checked for similarly conflicting page titles.

Event Timeline

PleaseStand raised the priority of this task from to Needs Triage.
PleaseStand updated the task description. (Show Details)
PleaseStand added subscribers: PleaseStand, Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2015, 7:54 PM

We cannot let this into the Gadget namespace as it is not a gadget. It'll have to get a new name.

We just need to run namespaceDupes.php right?

Yeah, I'm running it foreachwiki on terbium.

krenair@terbium:~$ grep Gadget T109236 
enwiki:  id=6515332 ns=0 dbk=Gadget:_Invention,_Travel,_&_Adventure -> Gadget:Invention,_Travel,_&_Adventure (no conflict) DRY RUN ONLY
krenair@terbium:~$

Only on enwiki

Krenair set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 17 2015, 4:25 AM
Aklapper triaged this task as Low priority.Aug 17 2015, 8:43 AM
Umherirrender added a subscriber: Umherirrender.EditedAug 17 2015, 3:40 PM

We cannot let this into the Gadget namespace as it is not a gadget. It'll have to get a new name.

The script needs to check for the content model of the target and choose another way to resolve the conflict when the old content model cannot be changed to target content model?

Another way is to use api's action=move with pageid parameter and move the page before running the script. Update: User should suppress redirect to avoid an inaccessible redirect (needs sysop rights)

Krenair assigned this task to MaxSem.Aug 17 2015, 9:14 PM
Krenair added a subscriber: MaxSem.

@MaxSem just manually renamed this page.

Krenair renamed this task from Inaccessible page titles beginning with "Gadget:" to Inaccessible page title beginning with "Gadget:".Aug 17 2015, 9:14 PM
Krenair closed this task as Resolved.
MaxSem reopened this task as Open.Aug 17 2015, 9:32 PM

Now there's Talk:Gadget:Invention, Travel, & Adventure which is not viewable or renameable in any way.

MaxSem reassigned this task from MaxSem to Legoktm.Aug 17 2015, 9:32 PM
MaxSem raised the priority of this task from Low to High.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptAug 17 2015, 9:32 PM
Legoktm closed this task as Resolved.Aug 18 2015, 7:29 AM

Ok, that was "amusing". Fixed:

07:25, 18 August 2015 Legoktm (talk | contribs | block) moved page Talk:Gadget: Invention, Travel, & Adventure to Talk:Gadget Invention, Travel, & Adventure without leaving a redirect (Make page accessible after introduction of Gadget namespace) (revert)

Krenair moved this task from Backlog to Done on the Wikimedia-Site-requests board.Aug 18 2015, 3:43 PM